# Uses of Interface
org.eclipse.ui.IWorkbenchPartSite

Packages that use IWorkbenchPartSite
Package
Description
org.eclipse.compare.internal
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.debug.ui.memory
Provides classes and interfaces to render memory blocks in the memory view.
org.eclipse.team.ui
Provides basic support for managing Team providers.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.contexts
Provides support for integrating contexts into the Eclipse workbench.
org.eclipse.ui.internal
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.operations
Classes that provide the basic workbench UI support for undo and redo of operations.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.
org.eclipse.ui.progress
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of IWorkbenchPartSite in org.eclipse.compare.internal

Methods in org.eclipse.compare.internal that return IWorkbenchPartSite
Modifier and Type
Method
Description
`static IWorkbenchPartSite`
Utilities.`findSite(Control c)`

## Uses of IWorkbenchPartSite in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui with parameters of type IWorkbenchPartSite
Modifier and Type
Method
Description
`static void`
DebugUITools.`addPartDebugContextListener(IWorkbenchPartSite site, IDebugContextListener listener)`
Adds the given debug context listener as a listener to the debug context changed events, in the context of the given workbench part.
`static IAdaptable`
DebugUITools.`getPartDebugContext(IWorkbenchPartSite site)`
Returns the currently active context for the given workbench part.
`void`
IDetailPane.`init(IWorkbenchPartSite partSite)`
Initializes this detail pane for the given workbench part site.
`static void`
DebugUITools.`removePartDebugContextListener(IWorkbenchPartSite site, IDebugContextListener listener)`
Removes the given debug context listener as a listener to the debug context changed events, in the context of the given workbench part.

## Uses of IWorkbenchPartSite in org.eclipse.debug.ui.memory

Methods in org.eclipse.debug.ui.memory that return IWorkbenchPartSite
Modifier and Type
Method
Description
`IWorkbenchPartSite`
IMemoryRenderingSite.`getSite()`
Returns the workbench part site hosting memory renderings for this rendering site.

## Uses of IWorkbenchPartSite in org.eclipse.team.ui

Methods in org.eclipse.team.ui that return IWorkbenchPartSite
Modifier and Type
Method
Description
`IWorkbenchPartSite`
SaveablePartAdapter.`getSite()`
Deprecated.

## Uses of IWorkbenchPartSite in org.eclipse.ui

Subinterfaces of IWorkbenchPartSite in org.eclipse.ui
Modifier and Type
Interface
Description
`interface`
`IEditorSite`
The primary interface between an editor part and the workbench.
`interface`
`IViewSite`
The primary interface between a view part and the workbench.
Methods in org.eclipse.ui that return IWorkbenchPartSite
Modifier and Type
Method
Description
`IWorkbenchPartSite`
IWorkbenchPart.`getSite()`
Returns the site for this workbench part.
Constructors in org.eclipse.ui with parameters of type IWorkbenchPartSite
Modifier
Constructor
Description
``
`LegacyHandlerSubmissionExpression(String activePartId, Shell activeShell, IWorkbenchPartSite activeSite)`
Constructs a new instance of `LegacyHandlerSubmissionExpression`

## Uses of IWorkbenchPartSite in org.eclipse.ui.contexts

Methods in org.eclipse.ui.contexts that return IWorkbenchPartSite
Modifier and Type
Method
Description
`IWorkbenchPartSite`
EnabledSubmission.`getActiveWorkbenchPartSite()`
Deprecated.
Returns the workbench part site of the part that must be active for this request to be considered.
Constructors in org.eclipse.ui.contexts with parameters of type IWorkbenchPartSite
Modifier
Constructor
Description
``
`EnabledSubmission(String activePartId, Shell activeShell, IWorkbenchPartSite activeWorkbenchPartSite, String contextId)`
Deprecated.
Creates a new instance of this class.

## Uses of IWorkbenchPartSite in org.eclipse.ui.internal

Classes in org.eclipse.ui.internal that implement IWorkbenchPartSite
Modifier and Type
Class
Description
`class`
`EditorSite`
An editor container manages the services for an editor.
`class`
`PartSite`
`PartSite` is the general implementation for an `IWorkbenchPartSite`.
`class`
`ViewSite`
A view container manages the services for a view.
Constructors in org.eclipse.ui.internal with parameters of type IWorkbenchPartSite
Modifier
Constructor
Description
``
`KeyBindingService(IWorkbenchPartSite workbenchPartSite)`
Constructs a new instance of `KeyBindingService` on a given workbench site.

## Uses of IWorkbenchPartSite in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator that return IWorkbenchPartSite
Modifier and Type
Method
Description
`IWorkbenchPartSite`
ICommonViewerWorkbenchSite.`getSite()`

## Uses of IWorkbenchPartSite in org.eclipse.ui.operations

Constructors in org.eclipse.ui.operations with parameters of type IWorkbenchPartSite
Modifier
Constructor
Description
``
`RedoActionHandler(IWorkbenchPartSite site, IUndoContext context)`
Construct an action handler that handles the labelling and enabling of the redo action for the specified undo context.
``
`UndoActionHandler(IWorkbenchPartSite site, IUndoContext context)`
Construct an action handler that handles the labelling and enabling of the undo action for the specified undo context.
``
`UndoRedoActionGroup(IWorkbenchPartSite site, IUndoContext undoContext, boolean pruneHistory)`
Construct an undo redo action group for the specified workbench part site, using the specified undo context.

## Uses of IWorkbenchPartSite in org.eclipse.ui.part

Classes in org.eclipse.ui.part that implement IWorkbenchPartSite
Modifier and Type
Class
Description
`class`
`MultiPageEditorSite`
Site for a nested editor within a multi-page editor.
Methods in org.eclipse.ui.part that return IWorkbenchPartSite
Modifier and Type
Method
Description
`protected IWorkbenchPartSite`
MultiPageEditorSite.`getNestedEditorSite()`
`IWorkbenchPartSite`
WorkbenchPart.`getSite()`
Methods in org.eclipse.ui.part with parameters of type IWorkbenchPartSite
Modifier and Type
Method
Description
`protected final void`
EditorPart.`checkSite(IWorkbenchPartSite site)`
Checks that the given site is valid for this type of part.
`protected final void`
ViewPart.`checkSite(IWorkbenchPartSite site)`
`protected void`
WorkbenchPart.`checkSite(IWorkbenchPartSite site)`
Checks that the given site is valid for this type of part.
`protected void`
WorkbenchPart.`setSite(IWorkbenchPartSite site)`
Sets the part site.

## Uses of IWorkbenchPartSite in org.eclipse.ui.progress

Constructors in org.eclipse.ui.progress with parameters of type IWorkbenchPartSite
Modifier
Constructor
Description
``
`DeferredTreeContentManager(AbstractTreeViewer viewer, IWorkbenchPartSite site)`
Create a new instance of the receiver using the supplied content provider and viewer.
``
`DeferredTreeContentManager(ITreeContentProvider provider, AbstractTreeViewer viewer, IWorkbenchPartSite site)`
Deprecated.
in 3.4. provider is not used by this class